
:root{
    --color1: #43547a;
    --color1-20: #43547a20;
    --color2: #212121;
    --color2-80: #212121ce;
    --color3: #ffffff;
    --color4: #f9f9f9;
    --color5: #999999;
    --color6: #5adeff;
    --color7: #7e77ff;
    
}

*{
    font-family: "Montserrat", sans-serif;
    padding: 0;
    margin:0;
    box-sizing: border-box;
}

body{
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background: linear-gradient(135deg,  #ff7e00, #ff00a8);
}

body .wrap{
    width: 80%;
    min-height: 60vh;
    max-width: 900px;
    border-radius: 13px;
    display: flex;
    justify-content: right;
    overflow: hidden;
    flex-wrap: wrap;
    box-shadow: 0 20px 40px rgba(0,0,0,0.1);
    position: relative;
    align-items: center;
    background-color: var(--color3);
}

body .wrap > img{
    width: 50%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top:0;
    left: 0;
    pointer-events: none;
}


body .wrap form{
    width: 50%;
    padding: 50px;
}

body .wrap form img{
    width: 60%;
    max-width: 200px;
    margin:0 0 20px 0;
}

body .wrap form h1{
    font-size: 20px;
    font-weight: 600;
    color: var(--color1);
}

body .wrap form p{
    margin:5px 0;
}

body .wrap form p input[type="text"], body .wrap form p input[type="password"]{
    width: 100%;
    padding: 15px;
    margin-top: 8px;
    border: 1px solid var(--color5);
    border-radius: 5px;
    outline: none;
    font-size: 16px;
    outline: none;
}

body .wrap form p button{
    padding: 16px 50px;
    margin: 8px 0 30px 0;
    border: none;
    border-radius: 5px;
    outline: none;
    font-size: 14px;
    background-color: var(--color1);
    color: var(--color3);
    cursor: pointer;
    transition: .3s ease all;
}

.alert-error{
    background-color: #ff0000;
    color: #ffffff;
    padding: 10px;
    border-radius: 5px;
    margin:0 0 10px 0;
    font-size: 14px;
}

.signup--message{
    display: block;
    font-size: 15px;
    color: var(--color1);
}

.signup--message a{
    color: #ff00a8;
}

.signup--message a:hover{
    color: #ff7e00;
}